import { defineConfig } from 'vite'
import WindiCSS from 'vite-plugin-windicss'

export default defineConfig({
    server: {
        port: 4096,
        proxy: {
            '/webrtc': {
                target: 'wss://webrtc.satori.love',
                changeOrigin: true,
                ws: true,
            },
            '/entanglement': {
                target: 'wss://webrtc.satori.love',
                changeOrigin: true,
                ws: true,
            },
            '/webhook': 'https://webrtc.satori.love',
        }
    },
    plugins: [
        WindiCSS(),
    ],
    build: {
        target: "esnext"
    }
})
